Skip to main content
PATCH
/
v1
/
comfyui-workflows
/
{comfyui_workflow_id}
/
outputs
/
{id}
Partial update comfy uioutput
curl --request PATCH \
  --url https://api.runflow.io/v1/comfyui-workflows/{comfyui_workflow_id}/outputs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "variable_type_code": "<string>",
  "validator_code": "<string>",
  "validator_attrs": {},
  "sort_order": 123,
  "comfyui_node_id": "<string>",
  "comfyui_field_name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "variable_type_code": "<string>",
  "validator_code": "<string>",
  "validator_attrs": {},
  "sort_order": 123,
  "comfyui_node_id": "<string>",
  "comfyui_field_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

id
string<uuid>
required
comfyui_workflow_id
string
required

Comfy Uiworkflow ID. Use 'any' to search across all parents.

Body

application/json

PATCH body — all fields optional.

name
string | null
display_name
string | null
description
string | null
variable_type_code
string | null
validator_code
string | null
validator_attrs
Validator Attrs · object
sort_order
integer | null
comfyui_node_id
string | null
comfyui_field_name
string | null
updated_at
string<date-time> | null

Response

The updated comfy uioutput.

Response shape.

id
string<uuid> | null
comfyui_workflow_id
string<uuid> | null
name
string | null
display_name
string | null
description
string | null
variable_type_code
string | null
validator_code
string | null
validator_attrs
Validator Attrs · object
sort_order
integer | null
comfyui_node_id
string | null
comfyui_field_name
string | null
created_at
string<date-time> | null
updated_at
string<date-time> | null